Bug 1308126 - shiboken: FTBFS in rawhide (F24)
shiboken: FTBFS in rawhide (F24)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shiboken (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Schwarz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F24FTBFS 1320653
  Show dependency treegraph
 
Reported: 2016-02-13 17:29 EST by Fedora Release Engineering
Modified: 2017-01-01 15:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-01 15:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (96.37 KB, text/plain)
2016-02-13 17:29 EST, Fedora Release Engineering
no flags Details
root.log (101.90 KB, text/plain)
2016-02-13 17:29 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-13 17:29 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:29:06 EST
Your package shiboken failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12868998

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:29:10 EST
Created attachment 1126439 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:29:12 EST
Created attachment 1126440 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:29:14 EST
Created attachment 1126441 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:13:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Felix Schwarz 2016-07-03 15:53:18 EDT
I was able to build shiboken in F24 by upgrading apiextractor to the latest git version (which saw its latest commit years ago). I'm not sure which packages need apiextractor but I guess shiboken is the only consumer so it should be safe to upgrade even in a stable distribution.
Comment 6 Felix Schwarz 2016-08-08 06:39:45 EDT
don't want to step on anyone's toes but I felt that having two "FTBFS in rawhide" bugs (neither of which actually refers to the current F26 rawhide) is rather confusing so I modified the subject a bit.
Comment 7 Felix Schwarz 2016-12-27 05:31:26 EST
Ok, FTBS fixed in rawhide at least ( https://koji.fedoraproject.org/koji/buildinfo?buildID=829437 ). I already pushed the change also to the F24 git (more or less accidentlly) but I'm planning to fix the FTBS in F25 at least (and F24 as I already pushed the commit).

Keeping the bug open until F24+F25 are fixed as well.
Comment 8 Felix Schwarz 2016-12-30 18:05:59 EST
F25+rawhide builds done, F24 builds looks ok so far (though technically still building)
Comment 9 Felix Schwarz 2017-01-01 09:15:45 EST
well, unfortunately F24 build failed on ARM again (even though it worked on the QA infrastructure + scratch build). F25+rawhide are still fine.
Comment 10 Felix Schwarz 2017-01-01 15:59:11 EST
shiboken-1.2.4-3.fc24 finally fixes this on all platforms supported by F24.

Note You need to log in before you can comment on or make changes to this bug.